These are chat archives for AvaloniaUI/Avalonia

29th
Aug 2015
José Manuel Nieto
@SuperJMN
Aug 29 2015 17:10
OK, regarding namescopes, I don't have it clear, so I asked it in Stack Overflow
I'm very happy because I have established a cordial relationship with Rob Relyea and Hari Menon
and they invited me to ask them questions in SO.
I've already been answered a tricky question :) (GetAliasedProperty)
Steven Kirk
@grokys
Aug 29 2015 17:39
ah great - good to hear it from a designer!
i finally managed to get the test app working on linux, but you have to remove ReactiveUI because that tries to load PresentationFramework which doesn't exist there
i think the xaml version will work when you drop the framework to 4.5
José Manuel Nieto
@SuperJMN
Aug 29 2015 17:50
Is 4.51 supported?
Steven Kirk
@grokys
Aug 29 2015 17:50
yeah, i believe so - i think 4.5 means 4.5.*
José Manuel Nieto
@SuperJMN
Aug 29 2015 18:49
argh, I have to change some code
Steven Kirk
@grokys
Aug 29 2015 18:49
really? how come?
José Manuel Nieto
@SuperJMN
Aug 29 2015 18:49
some parameters have changed
in XmlReader
from string to char
Steven Kirk
@grokys
Aug 29 2015 18:50
ah, they added new overloads?
José Manuel Nieto
@SuperJMN
Aug 29 2015 18:50
I don't know, it now complaints about var isPropertyElement = reader.LocalName.Contains('.');
it makes me change to "."
Steven Kirk
@grokys
Aug 29 2015 18:51
not a massive change at least! ;)
José Manuel Nieto
@SuperJMN
Aug 29 2015 18:54
I don't understand how people maintains some projects with multiple targets
I would like to do so, but I'm too lazy to sync the code and I don't believe in tricks like file links: they are so dirty
Maybe here is someone brave enough to do the changes in OmniXAML to support both frameworks and have multitargetted NuGet packages
Steven Kirk
@grokys
Aug 29 2015 18:58
why would you need to support both?
José Manuel Nieto
@SuperJMN
Aug 29 2015 18:58
that shouldn't so difficult and one doesn't need to know anything about XAML :)
Steven Kirk
@grokys
Aug 29 2015 18:59
you only need to support the lowest that you need the features of
you do know that .net 2 libs can still be used on .net 4.6 right?
and I don't think chars instead of strings is vital ;)
José Manuel Nieto
@SuperJMN
Aug 29 2015 19:01
Well, I'm not comfortable with the changes
I have made some
and the only configuration that makes my project target 4.5 is to remove support for Windows Phone 8.1
changing Windows 8.1 => Windows 8.0
and targetting .NET 4.5
so, the only configuration that seems to be valid is this:
snip.png
I don't know what does this mean
José Manuel Nieto
@SuperJMN
Aug 29 2015 19:06
but, well, I will change it
Steven Kirk
@grokys
Aug 29 2015 19:06
yeah, that's the combination that perspex uses
José Manuel Nieto
@SuperJMN
Aug 29 2015 19:07
<TargetFrameworkProfile>Profile7</TargetFrameworkProfile>
<TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
OK, done
José Manuel Nieto
@SuperJMN
Aug 29 2015 19:16
New packages are available :)
OmniXAML 1.4.5
Please, remove Sprache.SuperJMN from your installed packages
Steven Kirk
@grokys
Aug 29 2015 20:21
cool! not sure if i'll chance to try it before monday, but i'll let you know how it goes
José Manuel Nieto
@SuperJMN
Aug 29 2015 22:27
OK! I'm really looking forward to seeting Perspex again running in Linux!
last time I didn't try it, but I hope this time will be different. I'm a complete n00b in Linux
Darnell Williams
@Seeker1437
Aug 29 2015 22:31
Hey guys I learned a lot about WPF recently
THanks to JVM and grokys
SO I made a quick little sample, I'm sure I don't have to explai what I did x3
alt
José Manuel Nieto
@SuperJMN
Aug 29 2015 23:34
cool! are you using MVVM already?